[arch-commits] Commit in caph/repos (3 files)

Felix Yan felixonmars at archlinux.org
Tue Jul 7 17:01:40 UTC 2020


    Date: Tuesday, July 7, 2020 @ 17:01:40
  Author: felixonmars
Revision: 659509

archrelease: copy trunk to community-staging-x86_64

Added:
  caph/repos/community-staging-x86_64/
  caph/repos/community-staging-x86_64/PKGBUILD
    (from rev 659507, caph/trunk/PKGBUILD)
  caph/repos/community-staging-x86_64/caph.desktop
    (from rev 659508, caph/trunk/caph.desktop)

--------------+
 PKGBUILD     |   35 +++++++++++++++++++++++++++++++++++
 caph.desktop |    7 +++++++
 2 files changed, 42 insertions(+)

Copied: caph/repos/community-staging-x86_64/PKGBUILD (from rev 659507, caph/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-07-07 17:01:40 UTC (rev 659509)
@@ -0,0 +1,35 @@
+# Maintainer: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: jose <jose1711 [at] gmail (dot) com>
+
+pkgname=caph
+arch=('x86_64')
+pkgver=1.1
+pkgrel=6
+pkgdesc='Sandbox game based on physics which uses doodles as a primary gameplay element'
+license=('GPL')
+url='http://sourceforge.net/projects/caphgame/'
+depends=('sdl' 'libgl' 'libpng')
+makedepends=('mesa')
+source=("https://sourceforge.net/projects/caphgame/files/caph/caphgame-${pkgver}/caph-${pkgver}.tar.bz2"
+        "caph.desktop")
+md5sums=('dbc2cfbb5cd98a77c5b731515d3a77b9'
+         '79c6448995026f77fd912dd109b50287')
+
+build() {
+  cd $srcdir/caph-${pkgver}/src
+  ./confg
+  ./build
+}
+
+package() {
+  cd $srcdir/caph-${pkgver}/src
+  mkdir -p $pkgdir/usr/{bin,share/{caph/maps,doc/caph}}
+  install -D -m755 ./caph $pkgdir/usr/bin/caph
+  install -D -m644 ../doc/caph/* $pkgdir/usr/share/doc/caph/ || true
+  install -D -m644 ../share/caph/* $pkgdir/usr/share/caph/ || true
+  install -D -m644 ../share/caph/maps/* $pkgdir/usr/share/caph/maps || true
+  install -D -m644 $srcdir/caph.desktop $pkgdir/usr/share/applications/caph.desktop
+  install -D -m644 ../share/caph/brush.png $pkgdir/usr/share/pixmaps/caph.png
+}
+
+# vim: sw=2:ts=2 et:

Copied: caph/repos/community-staging-x86_64/caph.desktop (from rev 659508, caph/trunk/caph.desktop)
===================================================================
--- community-staging-x86_64/caph.desktop	                        (rev 0)
+++ community-staging-x86_64/caph.desktop	2020-07-07 17:01:40 UTC (rev 659509)
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Name=Caph
+Comment=Sandbox game based on physics
+Exec=caph
+Icon=caph.png
+Categories=Game;LogicGame;


More information about the arch-commits mailing list